Bug 503174 - Review Request: python-application - Basic building blocks for python applications
Review Request: python-application - Basic building blocks for python applica...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 08:35 EDT by Peter Lemenkov
Modified: 2015-03-31 22:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-application-1.4.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 22:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2009-05-29 08:35:47 EDT
Spec URL: http://peter.fedorapeople.org/python-application.spec
SRPM URL: http://peter.fedorapeople.org/python-application-1.1.1-1.fc10.src.rpm
Description: This package is a collection of modules that are useful when building python
applications. Their purpose is to eliminate the need to divert resources
into implementing the small tasks that every application needs to do in
order to run successfully and focus instead on the application logic itself.
Comment 2 Parag AN(पराग) 2009-06-02 23:53:16 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1386537
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
0de2971a401ebb7e18f71cc59c9fef48357f2bf4  python-application-1.1.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

APPROVED.
Comment 3 Peter Lemenkov 2009-06-02 23:58:18 EDT
Thanks!

New Package CVS Request
=======================
Package Name: python-application
Short Description: Basic building blocks for python applications
Owners: peter
Branches: EL-4 EL-5 F-10 F-11
Comment 4 Jason Tibbitts 2009-06-03 13:09:09 EDT
CVS done.
Comment 5 Fedora Update System 2009-06-03 14:16:10 EDT
python-application-1.1.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-application-1.1.1-2.fc10
Comment 6 Fedora Update System 2009-06-03 14:16:14 EDT
python-application-1.1.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-application-1.1.1-2.fc11
Comment 7 Fedora Update System 2009-06-15 21:53:32 EDT
python-application-1.1.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-application'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6216
Comment 8 Fedora Update System 2009-06-15 21:56:04 EDT
python-application-1.1.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-application'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6239
Comment 9 Fedora Update System 2009-06-26 22:40:47 EDT
python-application-1.1.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-06-26 22:49:11 EDT
python-application-1.1.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Peter Lemenkov 2015-03-13 07:01:18 EDT
Package Change Request
======================
Package Name: python-application
New Branches: epel7
Owners: peter salimma
Comment 12 Gwyn Ciesla 2015-03-13 07:55:53 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2015-03-13 08:20:56 EDT
python-application-1.4.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-application-1.4.1-1.el7
Comment 14 Fedora Update System 2015-03-31 22:01:48 EDT
python-application-1.4.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.